Debian Bug report logs - #624969
icedove: FTBFS: nsEnumeratorUtils.cpp:115:27: error: uninitialized const 'EmptyEnumeratorImpl::kInstance' [-fpermissive]

version graph

Package: src:icedove; Maintainer for src:icedove is Christoph Goehre <chris@sigxcpu.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 2 May 2011 12:50:16 UTC

Severity: serious

Tags: sid, wheezy

Found in version icedove/3.1.9-2

Fixed in version icedove/3.1.10-1

Done: Christoph Goehre <chris@sigxcpu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#624969; Package src:icedove. (Mon, 02 May 2011 12:50:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Alexander Sack <asac@debian.org>. (Mon, 02 May 2011 12:50:19 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: icedove: FTBFS: nsEnumeratorUtils.cpp:115:27: error: uninitialized const 'EmptyEnumeratorImpl::kInstance' [-fpermissive]
Date: Mon, 2 May 2011 14:32:19 +0200
Source: icedove
Version: 3.1.9-2
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110502 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> c++ -o nsEnumeratorUtils.o -c -I../../dist/system_wrappers -include ../../config/gcc_hidden.h -DMOZ_THUNDERBIRD=1 -DOSTYPE=\"Linux2.6\" -DOSARCH=Linux -DTARGET_XPCOM_ABI=\"x86_64-gcc3\" -I./../build  -I. -I. -I../../dist/include -I../../dist/include/nsprpub  -I/usr/include/nspr -I/usr/include/nss -I/usr/include  -I/usr/include      -fPIC   -fno-rtti -fno-exceptions -Wall -Wpointer-arith -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wcast-align -Wno-invalid-offsetof -Wno-long-long -pedantic -g -std=gnu++0x -fno-strict-aliasing -pthread -pipe  -DNDEBUG -DTRIMMED -Os -freorder-blocks -fno-reorder-functions    -DMOZILLA_CLIENT -include ../../mozilla-config.h -Wp,-MD,.deps/nsEnumeratorUtils.pp nsEnumeratorUtils.cpp
> nsEnumeratorUtils.cpp:115:27: error: uninitialized const 'EmptyEnumeratorImpl::kInstance' [-fpermissive]
> nsEnumeratorUtils.cpp:50:7: note: 'const class EmptyEnumeratorImpl' has no user-provided default constructor
> make[6]: *** [nsEnumeratorUtils.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/05/02/icedove_3.1.9-2_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@debian.org>:
Bug#624969; Package src:icedove. (Tue, 03 May 2011 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Goehre <chris@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@debian.org>. (Tue, 03 May 2011 16:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 624969@bugs.debian.org (full text, mbox):

From: Christoph Goehre <chris@sigxcpu.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>, 624969@bugs.debian.org
Subject: Re: Bug#624969: icedove: FTBFS: nsEnumeratorUtils.cpp:115:27: error: uninitialized const 'EmptyEnumeratorImpl::kInstance' [-fpermissive]
Date: Tue, 3 May 2011 18:29:13 +0200
tags 624969 pending
thanks

Hi Lucas,

On Mo, May 02, 2011 at 02:32:19 +0200, Lucas Nussbaum wrote:
> Relevant part:
> > c++ -o nsEnumeratorUtils.o -c -I../../dist/system_wrappers -include ../../config/gcc_hidden.h -DMOZ_THUNDERBIRD=1 -DOSTYPE=\"Linux2.6\" -DOSARCH=Linux -DTARGET_XPCOM_ABI=\"x86_64-gcc3\" -I./../build  -I. -I. -I../../dist/include -I../../dist/include/nsprpub  -I/usr/include/nspr -I/usr/include/nss -I/usr/include  -I/usr/include      -fPIC   -fno-rtti -fno-exceptions -Wall -Wpointer-arith -Woverloaded-virtual -Wsynth -Wno-ctor-dtor-privacy -Wno-non-virtual-dtor -Wcast-align -Wno-invalid-offsetof -Wno-long-long -pedantic -g -std=gnu++0x -fno-strict-aliasing -pthread -pipe  -DNDEBUG -DTRIMMED -Os -freorder-blocks -fno-reorder-functions    -DMOZILLA_CLIENT -include ../../mozilla-config.h -Wp,-MD,.deps/nsEnumeratorUtils.pp nsEnumeratorUtils.cpp
> > nsEnumeratorUtils.cpp:115:27: error: uninitialized const 'EmptyEnumeratorImpl::kInstance' [-fpermissive]
> > nsEnumeratorUtils.cpp:50:7: note: 'const class EmptyEnumeratorImpl' has no user-provided default constructor
> > make[6]: *** [nsEnumeratorUtils.o] Error 1

seems to be a bug in combination with GCC 4.6, [1] will fix it.

Cheers,
Christoph

[1] https://bugzilla.mozilla.org/show_bug.cgi?id=623126




Added tag(s) pending. Request was from Christoph Goehre <chris@sigxcpu.org> to control@bugs.debian.org. (Tue, 03 May 2011 16:33:05 GMT) Full text and rfc822 format available.

Reply sent to Christoph Goehre <chris@sigxcpu.org>:
You have taken responsibility. (Mon, 16 May 2011 17:21:07 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 16 May 2011 17:21:07 GMT) Full text and rfc822 format available.

Message #17 received at 624969-close@bugs.debian.org (full text, mbox):

From: Christoph Goehre <chris@sigxcpu.org>
To: 624969-close@bugs.debian.org
Subject: Bug#624969: fixed in icedove 3.1.10-1
Date: Mon, 16 May 2011 17:20:27 +0000
Source: icedove
Source-Version: 3.1.10-1

We believe that the bug you reported is fixed in the latest version of
icedove, which is due to be installed in the Debian FTP archive:

icedove-dbg_3.1.10-1_amd64.deb
  to main/i/icedove/icedove-dbg_3.1.10-1_amd64.deb
icedove-dev_3.1.10-1_amd64.deb
  to main/i/icedove/icedove-dev_3.1.10-1_amd64.deb
icedove_3.1.10-1.debian.tar.gz
  to main/i/icedove/icedove_3.1.10-1.debian.tar.gz
icedove_3.1.10-1.dsc
  to main/i/icedove/icedove_3.1.10-1.dsc
icedove_3.1.10-1_amd64.deb
  to main/i/icedove/icedove_3.1.10-1_amd64.deb
icedove_3.1.10.orig.tar.bz2
  to main/i/icedove/icedove_3.1.10.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624969@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Goehre <chris@sigxcpu.org> (supplier of updated icedove package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 10 May 2011 20:03:04 +0200
Source: icedove
Binary: icedove icedove-dev icedove-dbg
Architecture: source amd64
Version: 3.1.10-1
Distribution: unstable
Urgency: high
Maintainer: Alexander Sack <asac@debian.org>
Changed-By: Christoph Goehre <chris@sigxcpu.org>
Description: 
 icedove    - mail/news client with RSS and integrated spam filter support
 icedove-dbg - Debug Symbols for Icedove
 icedove-dev - Development files for Icedove
Closes: 624969 625207
Changes: 
 icedove (3.1.10-1) unstable; urgency=high
 .
   * New Upstream Version (Closes: #625207)
     - MFSA 2011-12 aka CVE-2011-0069, CVE-2011-0070, CVE-2011-0072,
                        CVE-2011-0074, CVE-2011-0075, CVE-2011-0077,
                        CVE-2011-0078, CVE-2011-0080, CVE-2011-0081:
       Miscellaneous memory safety hazards (rv:2.0.1/ 1.9.2.17/ 1.9.1.19)
     - MFSA 2011-16 aka CVE-2011-0071: Directory traversal in resource: protocol
   * [78e0217] build against system libbz2
   * [e6af761] build against system libpng
   * [4b57c30] build against system libhunspell
   * [937f0bd] double check to build against most system libraries
   * [d6de723] rebuild patch queue from patch-queue branch
     added patches (Closes: #624969):
     - 0072-fix-building-with-gcc-4.6-Add-constructor-to-placate.patch
     - 0073-fix-building-with-gcc-4.6-os2.cc-missing-include-cst.patch
     - 0074-Add-constructor-for-nsCaseInsensitiveStringComparato.patch
     - 0075-Add-constructor-for-nsXULAppInfo-which-inherits-from.patch
     - 0076-Add-constructor-for-GTKEmbedDirectoryProvider.patch
     modified patches:
     - 0056-Disable-APNG-support-when-system-libpng-doesn-t-supp.patch
     obsolete patches (fixed upstream):
     - 0051-Do-exec-instead-of-uselessly-forking-in-xulrunner-la.patch
     - 0072-Add-support-for-libnotify-0.7.patch
   * [e190ef1] bump up standards version to 3.9.2 (change DEB_HOST_GNU_TYPE to
     DEB_HOST_MULTIARCH)
Checksums-Sha1: 
 2cd5eca2565058f639480067476ca23775417f20 2539 icedove_3.1.10-1.dsc
 e049901dc6eadc0bd83c2ea434862b650c49148f 61041565 icedove_3.1.10.orig.tar.bz2
 b43786d44dac375ada7f49d939d7b69ac8a6377e 473860 icedove_3.1.10-1.debian.tar.gz
 f3228628425bd4f232a8e967b701007ef099f412 13360780 icedove_3.1.10-1_amd64.deb
 880ac7dfc9af5c28e391ef30586b8325f44e5c17 5611698 icedove-dev_3.1.10-1_amd64.deb
 3860d9d8cad4721b2bfa11dd969381bff1396fa5 88231910 icedove-dbg_3.1.10-1_amd64.deb
Checksums-Sha256: 
 c37c2a6c98f98f043fe02e1b7074e86563faef42c5c39d1978256284232876db 2539 icedove_3.1.10-1.dsc
 c3615f41ff690bb52330c808a3eeeeac70b09f99b3de29bb507a4506f5bdb6c4 61041565 icedove_3.1.10.orig.tar.bz2
 eb38ba22b368176fd1c83d5e337ebb0c60c5c276a097da48eab8ee29d01c5117 473860 icedove_3.1.10-1.debian.tar.gz
 2282b4bd92756b19f0eb8d5b68a6b53df3f293e9ea85fa73cded22b80f02f250 13360780 icedove_3.1.10-1_amd64.deb
 fdd628bb96234ea97c8498085323f3aaf04931ecbad23a3e19568812dc4f5ac1 5611698 icedove-dev_3.1.10-1_amd64.deb
 ef54e8bd468af8ceabbaaa33cd204a1ad60a94a494e985da72408784e3b8c898 88231910 icedove-dbg_3.1.10-1_amd64.deb
Files: 
 dedabc037b15685a637b4b6404287771 2539 mail optional icedove_3.1.10-1.dsc
 570cde316a784c75c3040f4d8035ec6a 61041565 mail optional icedove_3.1.10.orig.tar.bz2
 1b415ee5436445ec5bf8be5abf646d22 473860 mail optional icedove_3.1.10-1.debian.tar.gz
 fedb2ab434beffcaf5e6002a96070a14 13360780 mail optional icedove_3.1.10-1_amd64.deb
 ff8053f42bf3786f21fad74ea990b3d5 5611698 mail optional icedove-dev_3.1.10-1_amd64.deb
 ed4a93ae6fb6cf2c60b4917d50c98bd6 88231910 debug extra icedove-dbg_3.1.10-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJN0VjfAAoJECbjyHWnRCDvLIwP/jmiilWD1479zkzedhSbpgmU
2bpNqZ3u1/MDmAFn5myFqE/n8k0gnAOtvhNSzSqpDPW6YU6u/9pvz7cpekfQ4M/p
ylWzRfN/PbVRyJycQnaqcUDQLPcpGAkgQmXzlmaj4IfXKgGgJHSMVBwNCe42v8v+
i3W61qgXKgjnrW8BwAyY/ZOH/nvDNqQMUnNUevtkIL2NPae0HtoeHzUiO2Uthtqo
91mFO5c9m2gr+Y3RFIGsFCwVHsOr3dzXMyRGbv84VUqHgrAYmNow6r0rFSXEmksC
DFt6nzSGiyWUejhHSJ5uVIK2V8mCkviv1pf29Azi3NlEaQxn8iuDb4/jaIWOCjPk
eDYuJ6Xwg5wUc0I6X9zFNFBNz1I/UUXjs3vGrE1ij2QHR4xCuZTlpo5GQg37jkIh
7phw5Jt4MRJ4XRdbErjFEQHs5hUwKpgsN0JAcHDv2K/grnkYkF5y/5iJnMRy8/x4
yIHRm7rOfaeWmJoU75B9E6ww8J4aR1qyTrFnB/2LS6eydu/JVneazgCrUHeOyHaC
Stohir+anRpErSSGfprwEN4PERVLvhEwEb/qecyshs6s0R8s8NkYhMYhqW3Q171T
ef6hLZg3oACv91lpom8eLtYSQP8UgrWwvqH3SkHpXrIyniqi8uJKS+21tHZlKbNm
IzrPcHedJbdIF4goDOj3
=pX9y
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Jun 2011 07:43:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:43:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.